import { expect } from 'chai';

import getBundleEntriesFromRoutes from './getBundleEntriesFromRoutes';

describe('getBundleEntriesFromRoutes', () => {
  it('should reduce route array to bundle objects', () => {
    const routes = [
      {
        bundle: {
          name: 'foo',
          location: 'foo/fooContainer',
        },
      },
      {
        bundle: {
          name: 'bar',
          location: 'bar/barContainer',
        },
      },
    ];

    expect(getBundleEntriesFromRoutes(routes)).to.eql({
      foo: 'foo/fooContainer',
      bar: 'bar/barContainer',
    });
  });

  it('should skip any non-bundled routes', () => {
    const routes = [
      {
        bundle: {
          name: 'foo',
          location: 'foo/fooContainer',
        },
      },
      {
        path: 'someBlah',
      },
    ];

    expect(getBundleEntriesFromRoutes(routes)).to.eql({
      foo: 'foo/fooContainer',
    });
  });
});
