import { expect } from 'chai';

import fetchInitialProps from './fetchInitialProps';

const getInitialProps = async params => (
  Promise.resolve(`some data ${JSON.stringify(params)}`)
);

describe('fetchInitialProps', () => {
  it('should fetch initial props if defined', async () => {
    const params = {};

    expect(await fetchInitialProps(getInitialProps, params)).to.equal('some data {}');
  });

  it('should fetch initial props if defined', async () => {
    const params = { someId: '123' };

    expect(await fetchInitialProps(getInitialProps, params)).to.equal('some data {"someId":"123"}');
  });
});
