//  @flow
import reduce from 'lodash/reduce';

import type { IContextRoute } from '../../../flow/IContextRoute';

type UrlParams = { [string]: any };

const getMetaData = (
  contextRoute: IContextRoute,
  urlParams: UrlParams,
) => {
  const { meta } = contextRoute;

  return urlParams
    ? reduce(meta, (acc, metaVal, metaKey) => {
      let metaValStr = metaVal;
      const paramKeys = Object.keys(urlParams);
      const paramValues = Object.values(urlParams);

      paramKeys.forEach((key, i) => {
        metaValStr = metaValStr.replace(`{${key}}`, paramValues[i]);
      });

      acc[metaKey] = metaValStr;
      return acc;
    }, {})
    : meta;
};

export default getMetaData;
