//  @flow
const hasParam = str => (str.indexOf(':') !== -1);

type UrlParams = { [string]: any };

function getParamsFromUrl(routePath: ?string, urlPath: string): ?UrlParams {
  if (!routePath) {
    return null;
  }

  return routePath.split('/').reduce((acc, part, i, arr) => {
    if (hasParam(part)) {
      const key = arr[i].split(':').pop();
      acc[key] = urlPath.split('/')[i];
    }
    return acc;
  }, {});
}

export default getParamsFromUrl;
