//  @flow
import type { IRoute } from './../../../flow/IRoute';

export default (routes: Array<IRoute>, url: string): IRoute => {
  let foundRoute = routes.filter(({ path }) => {
    if (!path) {
      return null;
    }

    //  Check for any exact matches
    if (path === url) {
      return path;
    }

    //  Check for dynamic routes
    //  with the ':' as params
    const urlParts = url.split('/');
    const dynamicPath = path.split('/').map((part, index) => (
      part.includes(':') && path.replace(part, urlParts[index])
    )).filter(Boolean)[0];
    return (dynamicPath === url);
  });

  if (foundRoute.length === 0) {
    foundRoute = routes.filter(route => route.path === null);
  }

  return foundRoute.length
    ? foundRoute[0] : null;
};
